import React from 'react';
import { shallow } from 'enzyme';
import GenericForm from './GenericForm';

describe('GenericForm', () => {
  it('should render without crashing', () => {
    shallow(
      <GenericForm
        handleSubmit={() => {}}
        deleteItem={() => {}}
        loading={{}}
        match={{ params: {}, isExact: true, url: '', path: '' }}
        push={() => {}}
        initialValues={{}}
        fields={{ id: { type: 'string', label: 'yes' } }}
      />,
    );
  });
});
